module Upkey
  module Chatterly
    module Urls
      module Accessor
        def self.get_url(url, client)
          @url = url
          @client = client

          access_chatterly
        end

        private

        class << self
          def access_chatterly
            resp = @client.conn.get '/api/shortened_urls/0', url_params
            Upkey::Chatterly::Urls::Response.new(resp)
          end

          def url_params
            {
              url: @url,
              access_key: @client.access_key
            }
          end
        end
      end
    end
  end
end
